Appearance
GET
/admin/user/users/{userId}Required scope:
viskan:user:readGets a specific user in the system.
Parameters
Path parameters
userId string Format:
uuidThe identifier of the user to get.
Response
The response contains the found user.
JSON
{
"userId": "08ce1500-a817-40e8-8e5a-36d3cef125df",
"emailAddress": "john.doe@viskan.se",
"firstName": "John",
"lastName": "Doe",
"profilePictureURL": "https://profilepicture.connect.visma.com/v1.0/08ce1500-a817-40e8-8e5a-36d3cef125df?client_id=viskan",
"active": true,
"blocked": false,
"permissionLevel": "NORMAL",
"groups": [
{
"groupId": 1,
"groupName": "Customer service"
}
],
"connectedTenants": [
{
"tenantId": "46c5b0b0-c42a-44b0-97e2-39ef2f9118ac",
"tenantName": "Viskan System AB"
}
]
}
| Error code | Description |
|---|---|
user-not-found | No user was found with the given ID. |